curl --request POST \
--url http://sandbox.mintlify.com/merchant/open/v1/pay/merchant/product/create \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"merchantProductNo": "MTDC123",
"productName": "Meituan Bike",
"priceList": [
{
"merchantPriceNo": "MTDC_1123",
"priceName": "Monthly Plan",
"priceDesc": "Monthly",
"priceType": "FIX_AMOUNT",
"amountType": "fiat",
"cryptoCurrency": "",
"cryptoAmount": null,
"fiatCurrency": "USD",
"fiatAmount": 10,
"period": "MONTH",
"interval": 1,
"promoConfigType": "NONE",
"promoAmount": null,
"promoRate": null
}
]
}
'{
"success": "true",
"code": "0",
"message": "",
"data": {
"merchantProductNo": "MTDC123",
"productNo": "82973642140155927",
"productName": "Meituan Bike",
"productDesc": "Meituan Bike Membership",
"productLogo": "https://s3.ap-northeast-1.amazonaws.com/gimg.gateimg.com/image/1627288/fe48d444c1943d65fb0125d766a7124d277f52d7112eebe6df47e321bafda073.jpg",
"status": "ACTIVE",
"createTime": 1774853409437,
"updateTime": 1774853409437,
"priceList": [
{
"merchantPriceNo": "MTDC_1123",
"priceNo": "82973642140155928",
"productNo": "82973642140155927",
"priceName": "Monthly Plan",
"priceDesc": "Monthly",
"priceType": "FIX_AMOUNT",
"payChannels": null,
"amountType": "fiat",
"cryptoCurrency": "",
"cryptoAmount": null,
"fiatCurrency": "USD",
"fiatAmount": 10,
"period": "MONTH",
"interval": 1,
"promoConfigType": "NONE",
"promoAmount": null,
"promoRate": null,
"status": "ACTIVE",
"createTime": 1774853409437,
"updateTime": 1774853409437
}
]
}
}Create product
curl --request POST \
--url http://sandbox.mintlify.com/merchant/open/v1/pay/merchant/product/create \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"merchantProductNo": "MTDC123",
"productName": "Meituan Bike",
"priceList": [
{
"merchantPriceNo": "MTDC_1123",
"priceName": "Monthly Plan",
"priceDesc": "Monthly",
"priceType": "FIX_AMOUNT",
"amountType": "fiat",
"cryptoCurrency": "",
"cryptoAmount": null,
"fiatCurrency": "USD",
"fiatAmount": 10,
"period": "MONTH",
"interval": 1,
"promoConfigType": "NONE",
"promoAmount": null,
"promoRate": null
}
]
}
'{
"success": "true",
"code": "0",
"message": "",
"data": {
"merchantProductNo": "MTDC123",
"productNo": "82973642140155927",
"productName": "Meituan Bike",
"productDesc": "Meituan Bike Membership",
"productLogo": "https://s3.ap-northeast-1.amazonaws.com/gimg.gateimg.com/image/1627288/fe48d444c1943d65fb0125d766a7124d277f52d7112eebe6df47e321bafda073.jpg",
"status": "ACTIVE",
"createTime": 1774853409437,
"updateTime": 1774853409437,
"priceList": [
{
"merchantPriceNo": "MTDC_1123",
"priceNo": "82973642140155928",
"productNo": "82973642140155927",
"priceName": "Monthly Plan",
"priceDesc": "Monthly",
"priceType": "FIX_AMOUNT",
"payChannels": null,
"amountType": "fiat",
"cryptoCurrency": "",
"cryptoAmount": null,
"fiatCurrency": "USD",
"fiatAmount": 10,
"period": "MONTH",
"interval": 1,
"promoConfigType": "NONE",
"promoAmount": null,
"promoRate": null,
"status": "ACTIVE",
"createTime": 1774853409437,
"updateTime": 1774853409437
}
]
}
}Merchant client ID, obtained from GatePay platform application
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
HMAC-SHA256 signature, used to verify request legitimacy
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"
Timestamp (milliseconds), time difference with server cannot exceed 5 minutes
"1672905655498"
Random number, used to prevent replay attacks
"9578"
Create product request parameters
Product code (merchant side unique identifier)
"MPROD_20240312_001"
Product name
"Premium Membership Subscription"
Price list
1Show child attributes
Product description
"Annual Premium Membership Service"
Product image URL
"https://www.example.com/images/product_logo.png"